using adas_core.Domain.Models.MongoModels;
using adas_core.Domain.Models.Responses;
using MongoDB.Bson;

namespace adas_core.Application.Services.Interfaces;

public interface IAuthService
{
    Task<LoginResponse?> GetLoginResponse();
    Task<string> GetToken();
    Task<List<Authorization>> GetByUnitId(ObjectId unitId);
    Task<bool> DeleteByDisplayId(ObjectId displayId);
    Task<bool> DeleteByUnitId(ObjectId unitId);
    Task<List<Authorization>> GetUserAuthorities(ObjectId id);
}